Bug 994853 - End date and start date of the subscription is not a appropriate one when you attach a future subscription and then heal after 1 min
End date and start date of the subscription is not a appropriate one when you...
Status: VERIFIED
Product: Candlepin
Classification: Community
Component: candlepin (Show other bugs)
0.9
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Devan Goodwin
IDM QE LIST
:
Depends On:
Blocks: rhsm-rhel66
  Show dependency treegraph
 
Reported: 2013-08-08 02:39 EDT by Shwetha Kallesh
Modified: 2015-05-14 12:04 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Shwetha Kallesh 2013-08-08 02:39:13 EDT
Description of problem:
End date and start date of the subscription is not a appropriate one when you attach a future subscription and then  heal after 1 min

Version-Release number of selected component (if applicable):
[root@localhost ~]# subscription-manager version
server type: Red Hat Subscription Management
subscription management server: 0.8.19-1
subscription-manager: 1.8.16-1.el5
python-rhsm: 1.8.16-1.el5


How reproducible:


Steps to Reproduce:
1.[root@localhost ~]# subscription-manager list --installed
+-------------------------------------------+
    Installed Product Status
+-------------------------------------------+
Product Name:   Awesome OS for x86_64 Bits
Product ID:     100000000000002
Version:        3.11
Arch:           x86_64
Status:         Partially Subscribed
Status Details: Only covers 1 of 4 sockets.
Starts:         
Ends:  


[root@localhost ~]# subscription-manager list --consumed
+-------------------------------------------+
   Consumed Subscriptions
+-------------------------------------------+
Subscription Name: Awesome OS for x86_64
Provides:          Awesome OS for x86_64 Bits
SKU:               awesomeos-x86_64
Contract:          79
Account:           12331131231
Serial:            8467761379054629893
Pool ID:           8ac6a3a2405c7fed01405c80f5320705
Active:            True
Quantity Used:     1
Service Level:     
Service Type:      
Status Details:    Only covers 1 of 4 sockets.
Starts:            08/08/2013
Ends:              08/08/2014

Subscription Name: Awesome OS for x86_64
Provides:          Awesome OS for x86_64 Bits
SKU:               awesomeos-x86_64
Contract:          79
Account:           12331131231
Serial:            1720671717870955038
Pool ID:           8ac6a3a2405c7fed01405c80f51d06fa
Active:            False
Quantity Used:     1
Service Level:     
Service Type:      
Status Details:    
Starts:            07/29/2014
Ends:              07/29/2015


[root@localhost ~]# service rhsmcertd restart
Stopping rhsmcertd...                                      [  OK  ]
Starting rhsmcertd... 

1.[root@localhost ~]# subscription-manager list --installed
+-------------------------------------------+
    Installed Product Status
+-------------------------------------------+
        

Product Name:   Awesome OS for x86_64 Bits
Product ID:     100000000000002
Version:        3.11
Arch:           x86_64
Status:         Subscribed
Status Details: 
Starts:         07/29/2014
Ends:           08/08/2014

[root@localhost ~]# subscription-manager list --consumed
+-------------------------------------------+
   Consumed Subscriptions
+-------------------------------------------+
Subscription Name: Awesome OS for x86_64
Provides:          Awesome OS for x86_64 Bits
SKU:               awesomeos-x86_64
Contract:          79
Account:           12331131231
Serial:            8467761379054629893
Pool ID:           8ac6a3a2405c7fed01405c80f5320705
Active:            True
Quantity Used:     1
Service Level:     
Service Type:      
Status Details:    
Starts:            08/08/2013
Ends:              08/08/2014


Subscription Name: Awesome OS for x86_64
Provides:          Awesome OS for x86_64 Bits
SKU:               awesomeos-x86_64
Contract:          79
Account:           12331131231
Serial:            1720671717870955038
Pool ID:           8ac6a3a2405c7fed01405c80f51d06fa
Active:            False
Quantity Used:     1
Service Level:     
Service Type:      
Status Details:    
Starts:            07/29/2014
Ends:              07/29/2015

Subscription Name: Awesome OS for x86_64
Provides:          Awesome OS for x86_64 Bits
SKU:               awesomeos-x86_64
Contract:          79
Account:           12331131231
Serial:            8930748226941979598
Pool ID:           8ac6a3a2405c7fed01405c80f5320705
Active:            True
Quantity Used:     3
Service Level:     
Service Type:      
Status Details:    
Starts:            08/08/2013
Ends:              08/08/2014



Actual results:
End date is 08/08/2014
Start date is 07/29/2014
Expected results:

End date should have been:  07/29/2015
Start date should have been 08/08/2013
Additional info:
Comment 1 Devan Goodwin 2013-08-14 08:43:39 EDT
Having trouble reproducing this. I attempted to set up the exact same scenario as above.

- current entitlement without enough socket coverage
- future entitlement with full socket coverage
- restart rhsmcertd to run healing
- results in a new current entitlement to complete coverage
- start/end dates are correct

(root@lenovo /etc/pki/product) $ subscription-manager list --consumed
+-------------------------------------------+
   Consumed Subscriptions
+-------------------------------------------+
Subscription Name: Awesome OS for x86_64
Provides:          Awesome OS for x86_64 Bits
SKU:               awesomeos-x86_64
Contract:          79
Account:           12331131231
Serial:            2087185714848713021
Pool ID:           402881984078252901407826245d066b
Active:            True
Quantity Used:     1
Service Level:     
Service Type:      
Status Details:    Only covers 1 of 4 sockets.
Starts:            08/12/2013
Ends:              08/12/2014

Subscription Name: Awesome OS for x86_64
Provides:          Awesome OS for x86_64 Bits
SKU:               awesomeos-x86_64
Contract:          79
Account:           12331131231
Serial:            5776443372606452575
Pool ID:           40288198407825290140782624760676
Active:            False
Quantity Used:     4
Service Level:     
Service Type:      
Status Details:    
Starts:            08/02/2014
Ends:              08/02/2015


(root@lenovo /etc/pki/product) $ service rhsmcertd restart
Redirecting to /bin/systemctl restart  rhsmcertd.service


(root@lenovo /etc/pki/product) $ subscription-manager list --consumed
+-------------------------------------------+
   Consumed Subscriptions
+-------------------------------------------+
Subscription Name: Awesome OS for x86_64
Provides:          Awesome OS for x86_64 Bits
SKU:               awesomeos-x86_64
Contract:          79
Account:           12331131231
Serial:            2087185714848713021
Pool ID:           402881984078252901407826245d066b
Active:            True
Quantity Used:     1
Service Level:     
Service Type:      
Status Details:    
Starts:            08/12/2013
Ends:              08/12/2014

Subscription Name: Awesome OS for x86_64
Provides:          Awesome OS for x86_64 Bits
SKU:               awesomeos-x86_64
Contract:          79
Account:           12331131231
Serial:            3797874161727439579
Pool ID:           402881984078252901407826245d066b
Active:            True
Quantity Used:     3
Service Level:     
Service Type:      
Status Details:    
Starts:            08/12/2013
Ends:              08/12/2014

Subscription Name: Awesome OS for x86_64
Provides:          Awesome OS for x86_64 Bits
SKU:               awesomeos-x86_64
Contract:          79
Account:           12331131231
Serial:            5776443372606452575
Pool ID:           40288198407825290140782624760676
Active:            False
Quantity Used:     4
Service Level:     
Service Type:      
Status Details:    
Starts:            08/02/2014
Ends:              08/02/2015

(root@lenovo /etc/pki/product) $ subscription-manager list --installed
+-------------------------------------------+
    Installed Product Status
+-------------------------------------------+
Product Name:   Awesome OS for x86_64 Bits
Product ID:     100000000000002
Version:        3.11
Arch:           x86_64
Status:         Subscribed
Status Details: 
Starts:         08/12/2013
Ends:           08/02/2015

(root@lenovo /etc/pki/product) $
Comment 2 Devan Goodwin 2013-08-14 08:50:09 EDT
Shwetha can you still reproduce this? Any ideas what steps I might be missing?

What version of Candlepin were you registered to?
Comment 3 Shwetha Kallesh 2013-08-16 07:57:36 EDT
Still able to reproduce with following version,

[root@localhost ~]# subscription-manager version
server type: Red Hat Subscription Management
subscription management server: 0.8.19-1
subscription-manager: 1.9.1-1.git.17.168141e.el5
python-rhsm: 1.9.1-1.git.2.9b74ebf.el5


[root@localhost ~]# subscription-manager list --consumed
+-------------------------------------------+
   Consumed Subscriptions
+-------------------------------------------+
Subscription Name: Awesome OS for x86_64
Provides:          Awesome OS for x86_64 Bits
SKU:               awesomeos-x86_64
Contract:          79
Account:           12331131231
Serial:            912236431843829127
Pool ID:           8ac6a3a240764d470140764e50440775
Active:            False
Quantity Used:     1
Service Level:     
Service Type:      
Status Details:    
Starts:            08/03/2014
Ends:              08/03/2015

Subscription Name: Awesome OS for x86_64
Provides:          Awesome OS for x86_64 Bits
SKU:               awesomeos-x86_64
Contract:          79
Account:           12331131231
Serial:            4123805137719792614
Pool ID:           8ac6a3a240764d470140764e50580780
Active:            True
Quantity Used:     1
Service Level:     
Service Type:      
Status Details:    
Starts:            08/13/2013
Ends:              08/13/2014


[root@localhost ~]# service rhsmcertd restart
Stopping rhsmcertd...                                      [  OK  ]
Starting rhsmcertd...                                      [  OK  ]


[root@localhost ~]# subscription-manager list --installed
+-------------------------------------------+
    Installed Product Status
+-------------------------------------------+
Product Name:   Awesome OS for x86_64 Bits
Product ID:     100000000000002
Version:        3.11
Arch:           x86_64
Status:         Subscribed
Status Details: 
Starts:         08/03/2014
Ends:           08/13/2014

[root@localhost ~]# subscription-manager list --consumed
+-------------------------------------------+
   Consumed Subscriptions
+-------------------------------------------+
Subscription Name: Awesome OS for x86_64
Provides:          Awesome OS for x86_64 Bits
SKU:               awesomeos-x86_64
Contract:          79
Account:           12331131231
Serial:            912236431843829127
Pool ID:           8ac6a3a240764d470140764e50440775
Active:            False
Quantity Used:     1
Service Level:     
Service Type:      
Status Details:    
Starts:            08/03/2014  ---- > should have been 08/13/2013
Ends:              08/03/2015

Subscription Name: Awesome OS for x86_64
Provides:          Awesome OS for x86_64 Bits
SKU:               awesomeos-x86_64
Contract:          79
Account:           12331131231
Serial:            4123805137719792614
Pool ID:           8ac6a3a240764d470140764e50580780
Active:            True
Quantity Used:     1
Service Level:     
Service Type:      
Status Details:    
Starts:            08/13/2013
Ends:              08/13/2014


Subscription Name: Awesome OS for x86_64
Provides:          Awesome OS for x86_64 Bits
SKU:               awesomeos-x86_64
Contract:          78
Account:           12331131231
Serial:            8120347986124452991
Pool ID:           8ac6a3a240764d470140764e5075078b
Active:            True
Quantity Used:     3
Service Level:     
Service Type:      
Status Details:    
Starts:            08/13/2013
Ends:              08/13/2014
Comment 4 Shwetha Kallesh 2013-08-28 09:15:25 EDT
[root@rhel65 ~]# subscription-manager version
server type: Red Hat Subscription Management
subscription management server: 0.8.21-1
subscription-manager: 1.10.0-1.git.11.3283e12.el6
python-rhsm: 1.10.0-1.git.4.e274ed7.el6


[root@rhel65 ~]# subscription-manager list --consumed
+-------------------------------------------+
   Consumed Subscriptions
+-------------------------------------------+
Subscription Name: Awesome OS for x86_64
Provides:          Awesome OS for x86_64 Bits
SKU:               awesomeos-x86_64
Contract:          79
Account:           12331131231
Serial:            3283139151801627949
Pool ID:           8ac6a3a240ab37d00140ab38e7e206da
Active:            False
Quantity Used:     1
Service Level:     
Service Type:      
Status Details:    
Starts:            08/13/2014
Ends:              08/13/2015

Subscription Name: Awesome OS for x86_64
Provides:          Awesome OS for x86_64 Bits
SKU:               awesomeos-x86_64
Contract:          79
Account:           12331131231
Serial:            2606836177565855676
Pool ID:           8ac6a3a240ab37d00140ab38e7f606e5
Active:            True
Quantity Used:     1
Service Level:     
Service Type:      
Status Details:    Only covers 1 of 2 sockets.
Starts:            08/23/2013
Ends:              08/23/2014

[root@rhel65 ~]# subscription-manager list --installed
+-------------------------------------------+
    Installed Product Status
+-------------------------------------------+
Product Name:   Awesome OS Instance Server Bits
Product ID:     32060
Version:        6.1
Arch:           ALL
Status:         Not Subscribed
Status Details: Not covered by a valid subscription.
Starts:         
Ends:           

Product Name:   Awesome OS for x86_64 Bits
Product ID:     100000000000002
Version:        3.11
Arch:           x86_64
Status:         Partially Subscribed
Status Details: Only covers 1 of 2 sockets.
Starts:         08/23/2013
Ends:           08/13/2015

Product Name:   Multi-Attribute Limited Product
Product ID:     900
Version:        1.0
Arch:           x86_64
Status:         Not Subscribed
Status Details: Not covered by a valid subscription.



[root@rhel65 ~]# subscription-manager status
+-------------------------------------------+
   System Status Details
+-------------------------------------------+
Overall Status: Invalid

Multi-Attribute Limited Product:
- Not covered by a valid subscription.

Awesome OS Instance Server Bits:
- Not covered by a valid subscription.

Awesome OS for x86_64:
- Only covers 1 of 2 sockets.

[root@rhel65 ~]# service rhsmcertd restart
Stopping rhsmcertd...                                      [  OK  ]
Starting rhsmcertd... 

[root@rhel65 ~]# subscription-manager status
+-------------------------------------------+
   System Status Details
+-------------------------------------------+
Overall Status: Current

[root@rhel65 ~]# subscription-manager list --installed
+-------------------------------------------+
    Installed Product Status
+-------------------------------------------+
Product Name:   Awesome OS Instance Server Bits
Product ID:     32060
Version:        6.1
Arch:           ALL
Status:         Subscribed
Status Details: 
Starts:         08/23/2013
Ends:           08/23/2014

Product Name:   Awesome OS for x86_64 Bits
Product ID:     100000000000002
Version:        3.11
Arch:           x86_64
Status:         Subscribed
Status Details: 
Starts:         08/13/2014
Ends:           08/23/2014

Product Name:   Multi-Attribute Limited Product
Product ID:     900
Version:        1.0
Arch:           x86_64
Status:         Subscribed
Status Details: 
Starts:         08/23/2013
Ends:           08/23/2014
Comment 5 Devan Goodwin 2013-09-03 13:39:06 EDT
Really good find Shwetha, this would surface any time you are green via multiple separate entitlements with the same end date, and you have some future entitlements as well.

Fixed in 9f9dc50d797614acf4e5529a722c91164ff66b6e in candlepin.git master.

Will appear in  candlepin-0.8.25-1.
Comment 6 Shwetha Kallesh 2014-06-10 03:51:06 EDT
Marking verified!!

[root@dhcp-0-144 ~]# subscription-manager version
server type: Red Hat Subscription Management
subscription management server: 0.9.18-1
subscription-manager: 1.12.1-1.el6
python-rhsm: 1.11.5-1.el6


[root@dhcp-0-144 ~]# subscription-manager list --consumed
+-------------------------------------------+
   Consumed Subscriptions
+-------------------------------------------+
Subscription Name: Awesome OS Server Bundled (2 Sockets, Standard Support)
Provides:          Clustering Bits
                   Awesome OS Server Bits
                   Load Balancing Bits
                   Large File Support Bits
                   Shared Storage Bits
                   Management Bits
SKU:               awesomeos-server-2-socket-std
Contract:          0
Account:           12331131231
Serial:            4933990025126353093
Pool ID:           8ac681d54684a9b5014684aae93417a1
Active:            True
Quantity Used:     1
Service Level:     Standard
Service Type:      L1-L3
Status Details:    Only supports 4 of 8 vCPUs.
Subscription Type: Standard
Starts:            06/10/2014
Ends:              06/10/2015
System Type:       Physical

Subscription Name: Awesome OS with unlimited virtual guests
Provides:          Awesome OS Server Bits
SKU:               awesomeos-virt-unlimited
Contract:          1
Account:           12331131231
Serial:            194286884181279902
Pool ID:           8ac681d54684a9b5014684aaca8c0d6a
Active:            False
Quantity Used:     1
Service Level:     
Service Type:      
Status Details:    
Subscription Type: Standard
Starts:            05/31/2015
Ends:              05/30/2016
System Type:       Physical

[root@dhcp-0-144 ~]# subscription-manager list --installed
+-------------------------------------------+
    Installed Product Status
+-------------------------------------------+
Product Name:   Awesome OS Server Bits
Product ID:     37060
Version:        6.1
Arch:           ALL
Status:         Partially Subscribed
Status Details: Only supports 4 of 8 vCPUs.
Starts:         06/10/2014
Ends:           05/30/2016

[root@dhcp-0-144 ~]# service rhsmcertd restart
Stopping rhsmcertd...                                      [  OK  ]
Starting rhsmcertd... 

[root@dhcp-0-144 ~]# subscription-manager list --installed
+-------------------------------------------+
    Installed Product Status
+-------------------------------------------+
Product Name:   Awesome OS Server Bits
Product ID:     37060
Version:        6.1
Arch:           ALL
Status:         Subscribed
Status Details: 
Starts:         06/10/2014
Ends:           05/30/2016

[root@dhcp-0-144 ~]# subscription-manager list --consumed
+-------------------------------------------+
   Consumed Subscriptions
+-------------------------------------------+
Subscription Name: Awesome OS Server Bundled (2 Sockets, Standard Support)
Provides:          Clustering Bits
                   Awesome OS Server Bits
                   Load Balancing Bits
                   Large File Support Bits
                   Shared Storage Bits
                   Management Bits
SKU:               awesomeos-server-2-socket-std
Contract:          0
Account:           12331131231
Serial:            4933990025126353093
Pool ID:           8ac681d54684a9b5014684aae93417a1
Active:            True
Quantity Used:     1
Service Level:     Standard
Service Type:      L1-L3
Status Details:    Only supports 4 of 8 vCPUs.
Subscription Type: Standard
Starts:            06/10/2014
Ends:              06/10/2015
System Type:       Physical

Subscription Name: Awesome OS with unlimited virtual guests
Provides:          Awesome OS Server Bits
SKU:               awesomeos-virt-unlimited
Contract:          1
Account:           12331131231
Serial:            194286884181279902
Pool ID:           8ac681d54684a9b5014684aaca8c0d6a
Active:            False
Quantity Used:     1
Service Level:     
Service Type:      
Status Details:    
Subscription Type: Standard
Starts:            05/31/2015
Ends:              05/30/2016
System Type:       Physical

Subscription Name: Awesome OS with up to 4 virtual guests
Provides:          Awesome OS Server Bits
SKU:               awesomeos-virt-4
Contract:          0
Account:           12331131231
Serial:            5221630065416663694
Pool ID:           8ac681d54684a9b5014684aad00b0ee6
Active:            True
Quantity Used:     1
Service Level:     
Service Type:      
Status Details:    
Subscription Type: Multi-Entitleable
Starts:            06/10/2014
Ends:              06/10/2015
System Type:       Physical

Note You need to log in before you can comment on or make changes to this bug.